Bug 149802 - new port: security/p5-Auth-YubikeyDecrypter: Decrypting the output from the yubikey token
Summary: new port: security/p5-Auth-YubikeyDecrypter: Decrypting the output from the y...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-19 10:50 UTC by Kurt Jaeger
Modified: 2010-08-31 00:30 UTC (History)
0 users

See Also:


Attachments
file.shar (1.97 KB, text/plain)
2010-08-19 10:50 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2010-08-19 10:50:01 UTC
	Decrypting the output from the yubikey token

Fix: #!/bin/sh
How-To-Repeat: 	-
Comment 1 Kurt Jaeger 2010-08-19 11:01:37 UTC
Hi!

I'm currently trying to package Auth-Yubikey_Decrypter for FreeBSD, see

  http://www.freebsd.org/cgi/query-pr.cgi?pr=149802

for details, and ran into some issues.

1) It's not fetchable via CPAN in the way FreeBSD expects it.

This probably comes because the "Auth" for most Auth-Modules in
perl is "Authen", as can be seen here:

fa8$ ls /usr/ports/security/p5-Auth
p5-AuthCAS/                 p5-Authen-Simple/
p5-Authen-Bitcard/          p5-Authen-Simple-DBI/
p5-Authen-Captcha/          p5-Authen-Simple-DBM/
p5-Authen-CyrusSASL/        p5-Authen-Simple-HTTP/
p5-Authen-DecHpwd/          p5-Authen-Simple-LDAP/
p5-Authen-Htpasswd/         p5-Authen-Simple-Net/
p5-Authen-Krb5/             p5-Authen-Simple-PAM/
p5-Authen-Libwrap/          p5-Authen-Simple-Passwd/
p5-Authen-NTLM/             p5-Authen-Simple-RADIUS/
p5-Authen-PAAS/             p5-Authen-Simple-SMB/
p5-Authen-PAM/              p5-Authen-Simple-SSH/
p5-Authen-Passphrase/       p5-Authen-Smb/
p5-Authen-PluggableCaptcha/ p5-Authen-TacacsPlus/
p5-Authen-Radius/           p5-Authen-Ticket/
p5-Authen-SASL/             p5-Authen-TypeKey/
p5-Authen-SASL-Cyrus/       

2) The module name contains an '_', which does not easily fit into
the perl namespace (and many systems that expect this).

Therefore: Would it be possible to rename the modul to

Authen::YubikeyDecrypter

?

Thanks!

-- 
pi@opsec.eu            +49 171 3101372                        10 years to go !
Comment 2 Kurt Jaeger 2010-08-19 11:58:13 UTC
Hi!

> I'm currently trying to package Auth-Yubikey_Decrypter for FreeBSD, see

The previous mail was sent to the CPAN author of the module and
Cc:'ed to gnats for documentation.

-- 
pi@opsec.eu            +49 171 3101372                        10 years to go !
Comment 3 Philip M. Gollucci freebsd_committer 2010-08-28 04:56:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 4 Philip M. Gollucci freebsd_committer 2010-08-31 00:18:34 UTC
State Changed
From-To: open->closed

committed with massive cleanup, please review the diff
Comment 5 dfilter service freebsd_committer 2010-08-31 00:25:12 UTC
pgollucci    2010-08-30 23:24:57 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/p5-Auth-YubikeyDecrypter Makefile distinfo pkg-descr 
                                      pkg-plist 
  Log:
  Decrypt the output from the yubikey token
  
  The hardware can be found at
  
  http://www.yubico.com/home/index/
  
  The decryption module does only one thing - decrypt the AES encrypted
  OTP from the Yubikey. To this, it requires the OTP, and the AES
  key.
  
  Please note - this module does not perform authentication - it is
  a required component to decrypt the token first before authentication
  can be performed.
  
  WWW: http://search.cpan.org/~massyn/Auth-Yubikey_Decrypter-0.07/
  
  PR:             ports/149802
  Submitted by:   Kurt Jaeger <fbsd-ports@opsec.eu>
  
  Revision  Changes    Path
  1.1124    +1 -0      ports/security/Makefile
  1.1       +25 -0     ports/security/p5-Auth-YubikeyDecrypter/Makefile (new)
  1.1       +3 -0      ports/security/p5-Auth-YubikeyDecrypter/distinfo (new)
  1.1       +15 -0     ports/security/p5-Auth-YubikeyDecrypter/pkg-descr (new)
  1.1       +5 -0      ports/security/p5-Auth-YubikeyDecrypter/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"